# Class: Text

Defined in: | node_modules/grunt-codo/node_modules/codo/node_modules/haml-coffee/src/nodes/text.coffee
Inherits: | Node

## Overview

Text node that contains everything that cannot be detected as other node. This is normally plain text to be inserted into the template.

## Variables Summary

### Variable inherited from Node

CLEAR_WHITESPACE_LEFT CLEAR_WHITESPACE_RIGHT

## Instance Method Summary

- # (void) evaluate() Evaluate the text node.

## Inherited Method Summary

### Methods inherited from Node

#addChild #getOpener #getCloser #isPreserved #isCommented #markText #markRunningCode #markInsertingCode #evaluate #render

## Instance Method Details

# (void) evaluate()

Evaluate the text node.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input